### Method

# Camel Session remove_services

since: 3.2

#### Declaration [src]

    void
    camel_session_remove_services (
      CamelSession* session
    )

#### Description [src]

Removes all `CamelService` instances added by camel_session_add_service().

This can be useful during application shutdown to ensure all `CamelService` instances are freed properly, especially since `CamelSession` instances are prone to reference cycles.

Available since: 3.2